TAAS - Feature #199

Cost Sheet
06/15/2023 10:54 AM - Junaid M

Status: Reopen Bugs Coding Done Start date: 07/18/2023
Priority: Normal Due date:

Assignee: Greeshma S % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Cost Sheet

Description

Coding Cost Sheet

History

#1 - 06/26/2023 05:27 PM - Anil KV

- Assignee changed from Junaid M to travvise Admin

#2 - 07/07/2023 10:03 AM - Junaid M

- Assignee changed from travvise Admin to Amal Siby

#3 - 07/18/2023 02:12 PM - Amal Siby

- Status changed from New to Coding Started

- Start date changed from 06/15/2023 to 07/18/2023
- % Done changed from 0 to 40

#4 - 07/27/2023 06:14 PM - Junaid M
Query - Total Price And Cost

SELECT
MIN (sm.pk_sale_master_id) AS pk_sale_master_id,
COUNT (doc.vhr_file_number) AS vhr_file_number_count,
SUM (sm.dbl_base_cur_supplier_amount) AS dbl_base_cur_supplier_amount,
SUM (sm.dbl_base_cur_customer_amount) AS dbl_base_cur_customer_amount,
'SALE' AS vhr_module

FROM sale.tbl_sale_master AS sm

LEFT JOIN document.tbl_documents AS doc

ON sm.fk_documents_id = doc.pk_documents_id
WHERE
UPPER (doc.vhr_file_number) = '?2'

GROUP BY doc.vhr_file_number
UNION ALL

SELECT
MIN (rm.pk_refund_master_id) AS pk_refund_master_id,
COUNT (doc.vhr_file_number) AS vhr_file_number_count,
SUM (rm.dbl_base_cur_supplier_amount) AS dbl_base_cur_supplier_amount,
SUM (rm.dbl_base_cur_customer_amount) AS dbl_base_cur_customer_amount,
'REFYND' AS vhr_module
FROM refund.tbl_refund_master AS rm
LEFT JOIN document.tbl_documents AS doc
ON rm.fk_documents_id = doc.pk_documents_id
WHERE UPPER (doc.vhr_file_number) = '?'
GROUP BY doc.vhr_file_number

#5 - 05/03/2024 10:46 AM - Junaid M
- Assignee changed from Amal Siby to Greeshma S

#6 - 07/01/2024 06:03 PM - Greeshma S
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

Journal,Debit-CreditNote, ADM/ACm master, ADM/ACm Adjustment Posting Summary Not Added

#7 - 07/15/2024 12:17 PM - unnikannan S
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

1.Clear Deleted Vouchers/Doc Datas From General Tab

#8 - 07/15/2024 01:19 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#9 - 01/10/2025 10:34 AM - Theja Ponon
- File clipboard-202501101033-n31tm.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1)adm/acm message is not clearing
Cost Sheet
ADM/ACM Unadjusted Mapping Account Not Set, Please set Mapping Account (Use “Set Account Mapping” Module).
#10 - 01/10/2025 10:36 AM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#11 - 04/03/2025 02:50 PM - Theja Ponon

- File clipboard-202504031449-dsq99.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50
#12 - 04/03/2025 02:59 PM - Theja Ponon
- File clipboard-202504031451-suzpg.png added

Issue Found

1)Incorrect value in count of document and customer amount ,supplier amount

Travyise

Cost Sheet

D~ | =~ | Menu-> 'Q L AN :)

File No
Date

Current Status
Package
Branch

Phone
Reference Na
Enquiry No.
Receipt No

Created By

#  Module

1 Sale

Module
Sale

sale

w | =

sale

General  Pending Items

File Number ™~ | FO/002

Linked Documents ~ Action

FO/002
03/04/2025
Process

PKD2: Package ¢
BROOT:: Main
2568568
457457

456

n/001

Administrator 03/04/2025 10:31 AM

2)showing this error message on taking print

Travvise

RAVEL SOLUTION PVT LTD

File No:  FO/002

Customer/FOP
Sub Customer
Country

Pax Name
Department
Email

LPQ Date

Responsible User

Due Date

Modified By

Cost Sheet

Cannot read properties of undefined (reading "hasOwnProperty’)

3)Print is not showing for last two items in print list

File Number * =

4)refernce no is not showing in print of general doc print and issue on date
5)In linked document tab ,credit,debit,matched amounts are not showing

#13 - 04/03/2025 06:16 PM - Greeshma S

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

Files

Date: 03/04/2025

CUS002: Customer A

Arab Republic of Egypt
ditdrt

DPOOT: Account
ryrtututyu

05/04/2025
Administrator
05/04/2025

Administrator 03/04/2025 02:23 PM

Count Of Docs

3

New.

Y &
Customer Amo... = Supplier Amou... Profit
9000.00 9000.00 0.00
Y a =]
Debit In QAR =~ Credit In QAR Balance
1000.00 0.00 1000.00
1000.00 0.00 2000.00
1000.00 0.00 3000.00
